Subject: bug#35908: guix describe: error: failed to determine origin (and possibly failed upgrades)

From: Pronaip <[email-masked]>
Date: Sun, 26 May 2019 21:39:18 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Sunday, May 26, 2019 8:37 AM, Marius Bakke <[email-masked]> wrote:

> Hi Pronaip,
>
> Pronaip [email-masked] writes:
>
> > I've been getting this error ever since I first installed Guix on Arch, but I have no idea why. I've ran guix pull and guix package -u both as root and as my own user several times since then but this error hasn't gone away.
> > Also I noticed that some functionality that works on my GuixSD install (like the `guix search` command) is simply nonexistent.
> > For obvious reasons I have no idea what version I'm on but I've run guix pull sometime in the last 48 hours and I originally installed it about a month or two before 1.0 came out. I also had some failed attempts at installing the AUR version but I don't know if that affected the later version that I installed straight from the offical script.
>
> It sounds like ~/.config/guix/current/bin is missing from PATH. See
> '4.6 Invoking guix pull' in the manual.
>
> Make sure that directory appears first in $PATH in order to get the
> correct 'guix' executable.

Huh, I thought sourcing `~/.config/guix/current/bin` was enough...
guix stopped complaining about $PATH after I added that
maybe there should be a warning about the .config path too...